## imcode.server.document
Class DocumentTypeDomainObject

    java.lang.Object
      imcode.util.IdLocalizedNamePair
          imcode.server.document.DocumentTypeDomainObject

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentTypeDomainObject

extends IdLocalizedNamePair

See Also:
  Serialized Form

Field Summary
`static DocumentTypeDomainObject` `FILE`
`static int` `FILE_ID`
`static DocumentTypeDomainObject` `HTML`
`static int` `HTML_ID`
`static DocumentTypeDomainObject` `TEXT`
`static int` `TEXT_ID`
`static DocumentTypeDomainObject` `URL`
`static int` `URL_ID`

Constructor Summary
`DocumentTypeDomainObject(int id, LocalizedMessage name)`

Method Summary
`static int[]` `getAllDocumentTypeIds()`
`static java.util.Set` `getAllDocumentTypeIdsSet()`

Methods inherited from class imcode.util.IdLocalizedNamePair
`equals, getId, getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_ID

    public static final int TEXT_ID

See Also:
  Constant Field Values

### URL_ID

    public static final int URL_ID

See Also:
  Constant Field Values

### HTML_ID

    public static final int HTML_ID

See Also:
  Constant Field Values

### FILE_ID

    public static final int FILE_ID

See Also:
  Constant Field Values

### TEXT

    public static final DocumentTypeDomainObject TEXT

### URL

    public static final DocumentTypeDomainObject URL

### HTML

    public static final DocumentTypeDomainObject HTML

### FILE

    public static final DocumentTypeDomainObject FILE

Constructor Detail

### DocumentTypeDomainObject

    public DocumentTypeDomainObject(int id,
                                    LocalizedMessage name)

Method Detail

### getAllDocumentTypeIds

    public static int[] getAllDocumentTypeIds()

### getAllDocumentTypeIdsSet

    public static java.util.Set getAllDocumentTypeIdsSet()